Bug 812906 - [abrt] xfce4-appfinder-4.8.0-2.fc15: g_type_check_instance_cast: Process /usr/bin/xfce4-appfinder was killed by signal 11 (SIGSEGV)
[abrt] xfce4-appfinder-4.8.0-2.fc15: g_type_check_instance_cast: Process /usr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfce4-appfinder (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:1db404f889a93893f26dd91d885...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 10:24 EDT by Tim
Modified: 2013-02-13 20:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:42:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (6.31 KB, text/plain)
2012-04-16 10:24 EDT, Tim
no flags Details
File: maps (19.36 KB, text/plain)
2012-04-16 10:24 EDT, Tim
no flags Details
File: backtrace (16.76 KB, text/plain)
2012-04-16 10:24 EDT, Tim
no flags Details

  None (edit)
Description Tim 2012-04-16 10:24:37 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        xfce4-appfinder
crash_function: g_type_check_instance_cast
executable:     /usr/bin/xfce4-appfinder
kernel:         3.3.1-3.fc16.i686
pid:            12686
pwd:            /home/Tim
reason:         Process /usr/bin/xfce4-appfinder was killed by signal 11 (SIGSEGV)
time:           Mon 16 Apr 2012 09:52:02 PM CST
uid:            1000
username:       Tim
xsession_errors: (xfce4-appfinder:12686): garcon-CRITICAL **: garcon_menu_item_cache_invalidate_file: assertion `G_IS_FILE (file)' failed

backtrace:      Text file, 17167 bytes
dso_list:       Text file, 6458 bytes
maps:           Text file, 19829 bytes

build_ids:
:3b97b8acb22bc1487d3c25303640c9937dede835
:9d63dc2ec7319f8f859631fe02b108b896da5450
:4b65b2ab36082e9552ad2014fac436421c4f65ad
:e86c829bf8553d6b593dbd8c4df0957268dc8328
:11154ce3289d599ddf0cb7aec347964357ecde6f
:b51d82e58cf1d3dab20e44b114cfcf7ee1f31c74
:60e488e737928d97c52bed9d28e5c9c4ec4a821a
:647951954dab9eadcf521b97c5f9d7566b1e79c8
:615523fc227cdff268ca837457c6b0dba675fad8
:a031ec247ebfa2c35d637f0c427474d7a0e43904
:7ebe92fe862ff1ced28ef663113303af0fcdd9e3
:92418f7b783e29ab8440148e3fb0cbcfb8bb354a
:1002abe0291e2b40a073f1d82ed0322e82a760dc
:3aed71a6e79a28101ca36e6e9b3e8e053b73421a
:b2d5c5f02b6e6eb34dc593699c0b0bf516280159
:a0b366e13cecd6a811ac0afa3481d443b583aa4c
:55433495aa80cf9e1f994ea7e7ae278422ef1ede
:9b74e05fa75cf73df1da0c05a7b1528f0ec8a0f0
:742062fc0927dce3235cbb3c9ff95440e19450e2
:42859023e4ec83a16446984b1e0c7510a38731c4
:d2d488aa70a50c995f5d8890909af2939897e7da
:66bde8f1c5ea0505d428ab205352524e2ccfa7ac
:d31267db07bb7f102633c43adc7b083b45aef1d5
:64e6912d10e111cd12964bdcc6de8b3baa4058a0
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:b13cac156e2f55d436d38abd7d82c6f0b2537dd1
:9cb5ee086765fab1551434c7ed328d6493f3c7e1
:723973b85dc8f2955837952e117f4f9bc9c51859
:eb703ad658873568367d1ac793f0f45c0a34b82c
:a23aaf2e010ada9adc419084f6ff43bf9fa4aff9
:96b666a7f6d7a80ea6f9aef54f0cdd0f6190c058
:20e55e40b2f98606fcb0891424b09eb7e723ce8f
:4a19f266c74dade2555f5e1aefa43d509ccff81e
:481796ac42ae9ef09ebc980e3e39273ae020323c
:5b853064c3d832d471e71bb67b714a7f69ff11d3
:15bab279752ad8e30f901abae77bcb1ed1f38977
:c650dfe2f7ead26f8e48c2433d71b5baf7b3a862
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:23d1086014ed5544b3df4cee1f95694032252322
:c36985d76169b6d68cc22962b532889701f7d4aa
:3c8143e88fc76d440487192113da72a7722597a8
:e012145a98558b7d015f3ccf3cacfac44b498980
:029fcaa9c79bf29cef9684b34c7ded920fbb8cee
:ced82078ed2f1dd18f92fb24bf6b760a4f5b178c
:faa844e460702359079f4f15f1f881e87777abb6
:5031c4c03882fc3c5cc3dd84e2b4491d8bd08af3
:4cadcee4cbcd48d8b8766361bf2e80d593a46536
:bdbcb7ad0ae16806e9002af3c6d1ec65353108a0
:041f180d577ab8b08b10a9656993985fa9d97bee
:8a257536ca5f5aee876e236d9bab65868b0b385f
:82348106e4283b6a42803315774717d3acfc11b4
:aa9a4df5fa16320332ea125a458d7c569194d323
:8403f33f0be1a3653acd05b560f87aa1363d02d7
:030b651bfa42f57fde8249f7c6d3ece6d1f57343
:82674b49345364df4c158e8258b93fd4d8fdbae0
:1c92bde3bc752e5630e24d8699a50bcff735af0b
:e42d500dc9e803be62453540b4c81a12e96a006a
:d94f52f020f5a21d89ce70745a9bfb78cee38ba4
:0351a659bc0812678c67f62af1f802a5f367befc
:70ec0be07448920a83c0bceafed09d46008e56b1
:798697a352bae4178953ba502fb04f33dd0ed987
:10cec21724c13b95ec03f00985b0405412817a49
:83828a31823ccb1a2e2f04736f01f6c41ba1e360
:a96b0d7bb580197b7e7f186f831df6cdc2d6a9e2
:1e433d5156c8decab4ff0f1125eefb5a5bef4622
:4b045111479e1ec97d0ef5668482bf808e8dadba
:8e415f956333caf25ff98c8f87a89e8032e90b13
:84b057caeb7f80b34a00c58b3684cc85c66651c3

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1702
:XDG_SESSION_ID=2
:SAL_USE_VCLPLUGIN=gtk
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=lxde-
:SHELL=/bin/bash
:TERM=dumb
:XDG_SESSION_COOKIE=498c74dc5fb1cc9edc89e31d0000000d-1334582644.812262-260753130
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/tmp/keyring-3HFXJV
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=Tim
:SSH_AUTH_SOCK=/tmp/ssh-bKELmKFX1560/agent.1560
:USERNAME=Tim
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/Tim/.local/bin:/home/Tim/bin
:DESKTOP_SESSION=LXDE
:MAIL=/var/spool/mail/Tim
:QT_IM_MODULE=xim
:PWD=/home/Tim
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1551
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:GDMSESSION=LXDE
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HOME=/home/Tim
:XDG_SEAT=seat0
:SHLVL=1
:XDG_CONFIG_HOME=/home/Tim/.config
:LOGNAME=Tim
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-aQvB13sNsU,guid=513e38d8abb8ade47f9b09a9000000d6
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/Tim
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-Tim-lnc9EY/database
:_LXSESSION_PID=1560
:XDG_CURRENT_DESKTOP=LXDE

smolt_data:
:
:
:General
:=================================
:UUID: cdbd4e82-e6ed-4080-ba2b-7192be4a3761
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4189.96
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core CPU       T4300  @ 2.10GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2100
:System Memory: 1950
:System Swap: 0
:Vendor: GIGABYTE
:System: Q1458L 04
:Form factor: Other
:Kernel: 3.3.1-3.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10816:5421:1913) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(4332:33128:5421:1913) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:10544:5421:1913) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:5421:1913) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:5421:1913) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:10546:5421:1913) pci, None, NONE, 82801I (ICH9 Family) Thermal Subsystem
:(32902:9288:5421:1913) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10549:5421:1913) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:5421:1913) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:5421:1913) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:5421:1913) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:5421:1913) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:5421:1913) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10818:5421:1913) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:5421:1913) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:5421:1913) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:5421:1913) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10558:5421:1913) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:5421:1913) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:5421:1913) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:16946:32902:4609) pci, iwlwifi, NETWORK, WiFi Link 5100 AGN
:(32902:10570:5421:1913) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda4 / ext4 4096 4096 13092026 10982183 10851151 3276800 3047864 3047864
:/dev/sda2 /boot ext4 1024 1024 508745 411811 386211 128016 127780 127780
:/dev/sda5 /home ext4 4096 4096 32043390 5569625 3965195 8028160 7994652 7994652
:

var_log_messages:
:Apr 16 21:52:02 localhost kernel: [ 1891.809208] xfce4-appfinder[12686]: segfault at 53565762 ip 4e1fadc4 sp bfb01a00 error 4 in libgobject-2.0.so.0.3000.2[4e1c9000+4c000]
:Apr 16 21:52:03 localhost abrt[12890]: Saved core dump of pid 12686 (/usr/bin/xfce4-appfinder) to /var/spool/abrt/ccpp-2012-04-16-21:52:02-12686 (13410304 bytes)
Comment 1 Tim 2012-04-16 10:24:40 EDT
Created attachment 577728 [details]
File: dso_list
Comment 2 Tim 2012-04-16 10:24:42 EDT
Created attachment 577729 [details]
File: maps
Comment 3 Tim 2012-04-16 10:24:45 EDT
Created attachment 577730 [details]
File: backtrace
Comment 4 Kevin Fenzi 2012-04-16 10:49:36 EDT
What were you doing when this happened?

Can you duplicate it?
Looks like it might be a crash in garcon...
Comment 5 Tim 2012-04-17 10:44:08 EDT
Sorry, but I just switched over to Linux a couple of weeks ago and I am not sure what I was doing specifically when this occurred. From the looks of it, I was searching for a media player to play back some avi files that had been converted by ffmpeg, Rhythmbox also crashed around the same time. I will try to be more diligent in the future when reporting these issues.
Comment 6 Kevin Fenzi 2012-04-17 11:40:42 EDT
no problem at all. Thanks for reporting it. 

Even without that info, I keep these bugs around and see if I can spot patterns in them... so they are still useful even if its unknown how to duplicate them easily.
Comment 7 Fedora End Of Life 2013-01-16 18:19:07 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 20:42:36 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.